October, 2010


28
Oct 10

¿Porqué Git, porqué?

Hace un tiempo cambié de Bazaar a Git para ver porqué tantos lo están usando. Y después de un par de meses todavía no se porqué es más popular que otros scm distribuidos.

Mi queja más grande es que no puede almacenar directorios vacíos. Me hace sentir como Marty McFly saliendo del DeLorean y viendo gente usando CVS (y contenta de usarlo). ¿En qué estabas pensando Linus?

Tal vez es una combinación de la popularidad de GitHub y de los chupamedias de Linus lo que hicieron que Git sea uno de los scm distribuidos más usados. Una de las “ventajas” que se suelen mencionar es la velocidad, pero hasta ahora (y al menos para proyectos medianos) no veo ninguna diferencia entre Git y Bazaar.

En varios blogs hablan de que es tan “veloz” porque está en C, pero ¿es así?. Para mí suena a FUD. Bazaar me resultó más cómodo de usar y estar escrito en Python me pareció una elección más acertada.

Para mí, Git debió ser sólo el scm del kernel y nada más. El próximo repositorio que cree va a ser de Bazaar.

Linus: dedicate a lo que sabés hacer: el kernel.

 

ACTUALIZACIÓN (2012/05/29): Un par de meses después de escribir este post, empecé a usar Git con más frecuencia. Creo que en parte mi enojo con Git fue debido a la diferencia de experiencia que yo tenía entre los dos SCM. En el 99% de los proyectos siguientes (con Git), no me topé con la mayor queja que tenía en el post, la de almacenar directorios vacíos. Aunque esa decisión de no poder almacenarlos me sigue pareciendo bastante tonta.


25
Oct 10

Manejo de errores con Bash

En casi todo script de Bash que hago termino chequeando si los comandos que ejecuto tuvieron éxito o no y terminando el script en caso de haber fallado. Esto hace que el script se llene de líneas como:

[ $? -ne 0 ] && exit 1

abajo de cada comando que ejecuto. O sino llamando a una función que hace eso mismo. Hace poco encontré que usando set -e al principio del script me evito tener que chequear manualmente si los comandos que ejecuté dieron error. Hace que el script termine si cualquier comando que se ejecuta falla (bah, devuelve un código > 0). Según el man de Bash:

Exit immediately if a simple command (see SHELL  GRAMMAR above) exits with a non-zero status.  The shell does not exit if the command that fails is part  of  the  command list  immediately  following  a  while or until keyword, part of the test in an if statement, part of a && or  || list, or if the command’s return value is being inverted via !.  A trap on ERR, if set, is  executed  before  the shell exits.


18
Oct 10

Si OSX deja de conectarse a un recurso Samba

Este post es un recordatorio para mí por si me pasa de vuelta.

Situación: OSX (10.6) deja de repente de conectarse a un recurso compartido con Samba.

Síntomas:

  • Con smbclient se conecta sin problemas al recurso compartido.
  • Desde el Finder se queda un rato hasta que da error de conexión.
  • Con mount_smbfs da error de Broken pipe.

Solución:

En el foro de Apple encontré Problem connecting to my Windows (SMB) share in 10.6 donde el usuario sbolay sugiere matar el proceso NetAuthAgent. En el foro lo matan con kill -9 de una, en mi caso, probé primero con TERM y el proceso murió, no hizo falta el -9. Después de muerto el proceso, pude volver a conectarme al recurso.


15
Oct 10

Pato necrofílico

Esta noticia me hizo acordar cuando Levrero cuenta en la Novela Luminosa como observó a unas palomas en un techo vecino acercándose a una paloma muerta y tratando de cogerla.

Continue reading →


12
Oct 10

Máscaras antigas

Nena con mascara antigasRejunte de links:

Buscando información (más que nada fotos) sobre máscaras antigas me encontré con varias cosas interesantes:

Continue reading →


5
Oct 10

Argentina Copyleft

A principios del 2009, la Cámara Argentina del Libro realizó una denuncia judicial (por pedido de una editorial francesa) contra el profesor de filosofía Horacio Potel por infracción a la propiedad intelectual. Potel tiene desde 1999, sitios donde fue subiendo textos de Nietzsche, Heidegger y Derrida.

Continue reading →


4
Oct 10

Durmiendo adentro de un animal

¿Alguna vez tuviste que abrir un animal para refugiarte dentro de él durante una tormenta? Si no lo hiciste, ahora gracias al blog Cutting Open an Animal and Crawling inside to Survive a Storm (un título que tiende a convertirse casi en un párrafo) podés enterarte de cómo hacerlo.

Continue reading →